<?php
/**
 * Plugin Name:       Nginx Helper - Purge Cache after Update
 * Plugin URI:        https://www.sentree.io/plugins/nginx-helper-purge-cache-after-update/
 * Description:       Purges the caches using Nginx Helper after a WP/plugin/theme update.
 * Version:           1.0.0
 * Author:            Sentree Managed Hosting &amp; WordPress Maintenace
 * Author URI:        https://www.sentree.io/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */
 
add_action( 'upgrader_process_complete', 'nhpcau_upgrader_process_complete', 10, 0 );
function nhpcau_upgrader_process_complete()
{
  global $nginx_purger;

  if(isset($nginx_purger))
  {
    $nginx_purger->purge_all();
  }
}
